Read one run with its step-by-step outcomes
curl --request GET \
--url https://api.pineyard.ai/workflow-runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"workflowId": "<string>",
"status": "<string>",
"origin": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"currentNodeId": "<string>",
"attentionReason": "<string>",
"triggerSummary": "<string>",
"endLabel": "<string>",
"failureReason": "<string>",
"steps": [
{
"nodeExecutionId": "<string>",
"nodeId": "<string>",
"type": "<string>",
"status": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"durationMs": 123,
"received": {
"variables": {},
"recipient": "<string>",
"method": "<string>",
"target": "<string>",
"scheduledFor": "<string>"
},
"result": {
"port": "<string>",
"outcome": "<string>",
"capturedKeys": [
"<string>"
]
},
"error": "<string>"
}
]
}{
"error": "not_found"
}Runs
Read one run with its step-by-step outcomes
GET
/
workflow-runs
/
{runId}
Read one run with its step-by-step outcomes
curl --request GET \
--url https://api.pineyard.ai/workflow-runs/{runId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/workflow-runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/workflow-runs/{runId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"workflowId": "<string>",
"status": "<string>",
"origin": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"currentNodeId": "<string>",
"attentionReason": "<string>",
"triggerSummary": "<string>",
"endLabel": "<string>",
"failureReason": "<string>",
"steps": [
{
"nodeExecutionId": "<string>",
"nodeId": "<string>",
"type": "<string>",
"status": "<string>",
"startedAt": "<string>",
"endedAt": "<string>",
"durationMs": 123,
"received": {
"variables": {},
"recipient": "<string>",
"method": "<string>",
"target": "<string>",
"scheduledFor": "<string>"
},
"result": {
"port": "<string>",
"outcome": "<string>",
"capturedKeys": [
"<string>"
]
},
"error": "<string>"
}
]
}{
"error": "not_found"
}Required scope:
workflows.view
Requires workflows enabled for your workspace. Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
OK
Show child attributes
Show child attributes

